Subject: [PATCHv9 7/9] pci: PCIe driver for Marvell Armada 370/XP systems

From: [email-masked] (Thomas Petazzoni)
Date: Thu, 16 May 2013 18:08:50 +0200

Dear Jason Cooper,

On Thu, 16 May 2013 11:56:17 -0400, Jason Cooper wrote:

> > > > Building this showed a warning here. It seems you forgot
> > > > to mark this one as __init.
> > > 
> > > Thomas, I'll fix this up when I pull this in, no need to resend. :)
> > 
> > I'll resend, because beyond this function pointed by Ezequiel, there
> > are two other functions that can be marked __init. The one pointed by
> > Ezequiel is important because it causes a section mismatch
> > when !CONFIG_MODULES, because in this case platform_driver_probe() is
> > __init (and this explains what I wasn't seeing the warning, since I'm
> > building CONFIG_MODULES=y). The two other functions are more cosmetic,
> > but good to have as well.
> > 
> > It would already been sent if git hadn't decided to do a 'git gc' right
> > after my rebase. It's been gc-ing for quite some time now...
> 
> Dear boss,
> 
> I am in desperate need of a 500GB SSD on which to do my kernel work.
> 
> Thanks,
> 
> Kranky Kernel Developer
> 
> hehehe...

Adding boss in the Cc list :-)

Thanks!

Thomas
-- 
Thomas Petazzoni, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com